GETORF(1e)

NAME
getorf - Finds and extracts open reading frames (ORFs)

SYNOPSIS

getorf -sequence seqall [-table list] [-minsize integer] [-maxsize integer] [-find list] -methionine boolean -circular boolean -reverse boolean -flanking integer -outseq seqoutall

getorf -help

DESCRIPTION

getorf is a command line program from EMBOSS (“the European Molecular Biology Open Software Suite”). It is part of the "Nucleic:Gene finding" command group(s).

OPTIONS

  Input section

-sequence seqall

  Additional section

-table list

-minsize integer
    Default value: 30

-maxsize integer
    Default value: 1000000

-find list
    This is a small menu of possible output options. The first four options are to select either the protein translation or the original nucleic acid sequence of the open reading frame. There are two possible definitions of an open reading frame: it can either be a region that is free of STOP codons or a region that begins with a START codon and ends with a STOP codon. The last three options are probably only of interest to people who wish to investigate the statistical properties of the regions around potential START or STOP codons. The last option assumes that ORF lengths are calculated between two STOP codons.

  Advanced section

-methionine boolean
    START codons at the beginning of protein products will usually code for Methionine, despite what the codon will code for when it is internal to a protein. This qualifier sets all such START codons to code for Methionine by default. Default value: Y

-circular boolean
    Default value: N

-reverse boolean
    Set this to be false if you do not wish to find ORFs in the reverse complement of the sequence. Default value: Y

-flanking integer
    If you have chosen one of the options of the type of sequence to find that gives the flanking sequence around a STOP or START codon, this allows you to set the number of nucleotides either side of that codon to output. If the region of flanking nucleotides crosses the start or end of the sequence, no output is given for this codon. Default value: 100

  Output section

-outseq seqoutall

BUGS

Bugs can be reported to the Debian Bug Tracking system (http://bugs.debian.org/emboss), or directly to the EMBOSS developers (http://sourceforge.net/tracker/?group_id=93650&atid=605031).

SEE ALSO

getorf is fully documented via the tfm(1) system.

AUTHOR

Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
    Wrote the script used to autogenerate this manual page.

COPYRIGHT

This manual page was autogenerated from an Ajax Control Definition of the EMBOSS package. It can be redistributed under the same terms as EMBOSS itself.